Bug 171370 - [PATCH] security/gnupg CURL option does not build with libcurl
[PATCH] security/gnupg CURL option does not build with libcurl
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jun Kuriyama
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 09:00 UTC by John Marshall
Modified: 2012-12-27 14:10 UTC (History)
0 users

See Also:


Attachments
gnupg_2.0.19.diff (444 bytes, patch)
2012-09-06 09:00 UTC, John Marshall
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Marshall 2012-09-06 09:00:07 UTC
The Makefile's CURL logic sufferend at the hands of the OptionsNG
re-write in r302102 and became reversed.  This means that selecting the
CURL option disables building with libcurl.

The attached patch realigns the logic so that the CURL option selects
building with libcurl.
Comment 1 Edwin Groothuis freebsd_committer 2012-09-06 09:00:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2012-12-27 14:04:26 UTC
Author: kuriyama
Date: Thu Dec 27 14:04:17 2012
New Revision: 309542
URL: http://svnweb.freebsd.org/changeset/ports/309542

Log:
  - Fix with NOPORTDOCS=yes [1,2]
  - Fix CURL option handled incorrectly [3,4]
  
  PR:		ports/170543 [1], ports/171848 [2], ports/171370 [3], ports/174075 [4]
  Submitted by:	Rainer Duffner <rainer@ultra-secure.de> [1], Konstantinos Koukopoulos <koukopoulos@gmail.com> [2], John Marshall <john.marshall@riverwillow.com.au> [3], Phil Pennock <phil.pennock@globnix.org> [4]

Modified:
  head/security/gnupg/Makefile
  head/security/gnupg/pkg-plist

Modified: head/security/gnupg/Makefile
==============================================================================
--- head/security/gnupg/Makefile	Thu Dec 27 13:57:57 2012	(r309541)
+++ head/security/gnupg/Makefile	Thu Dec 27 14:04:17 2012	(r309542)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:	gnupg
-# Date created:		Sep 30, 1998
-# Whom:			kuriyama@FreeBSD.org
-#
 # $FreeBSD$
-#
 
 PORTNAME=	gnupg
 PORTVERSION=	2.0.19
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	security
 MASTER_SITES=	${MASTER_SITE_GNUPG}
 MASTER_SITE_SUBDIR=	gnupg
@@ -112,10 +107,10 @@ PLIST_SUB+=	SCDAEMON="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MCURL}
-CONFIGURE_ARGS+=--without-libcurl
-.else
 LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
 CONFIGURE_ARGS+=--with-libcurl=${LOCALBASE}
+.else
+CONFIGURE_ARGS+=--without-libcurl
 .endif
 
 verify:	checksum

Modified: head/security/gnupg/pkg-plist
==============================================================================
--- head/security/gnupg/pkg-plist	Thu Dec 27 13:57:57 2012	(r309541)
+++ head/security/gnupg/pkg-plist	Thu Dec 27 14:04:17 2012	(r309542)
@@ -34,37 +34,37 @@ sbin/applygnupgdefaults
 %%PORTDOCS%%%%DOCSDIR%%/examples/pwpattern.list
 %%PORTDOCS%%%%DOCSDIR%%/examples/scd-event
 %%PORTDOCS%%%%DOCSDIR%%/examples/trustlist.txt
-%%PORTDATA%%%%DATADIR%%/com-certs.pem
+%%PORTDOCS%%%%DATADIR%%/com-certs.pem
 %%DATADIR%%/gpg-conf.skel
-%%PORTDATA%%%%DATADIR%%/help.be.txt
-%%PORTDATA%%%%DATADIR%%/help.ca.txt
-%%PORTDATA%%%%DATADIR%%/help.cs.txt
-%%PORTDATA%%%%DATADIR%%/help.da.txt
-%%PORTDATA%%%%DATADIR%%/help.de.txt
-%%PORTDATA%%%%DATADIR%%/help.el.txt
-%%PORTDATA%%%%DATADIR%%/help.eo.txt
-%%PORTDATA%%%%DATADIR%%/help.es.txt
-%%PORTDATA%%%%DATADIR%%/help.et.txt
-%%PORTDATA%%%%DATADIR%%/help.fi.txt
-%%PORTDATA%%%%DATADIR%%/help.fr.txt
-%%PORTDATA%%%%DATADIR%%/help.gl.txt
-%%PORTDATA%%%%DATADIR%%/help.hu.txt
-%%PORTDATA%%%%DATADIR%%/help.id.txt
-%%PORTDATA%%%%DATADIR%%/help.it.txt
-%%PORTDATA%%%%DATADIR%%/help.ja.txt
-%%PORTDATA%%%%DATADIR%%/help.nb.txt
-%%PORTDATA%%%%DATADIR%%/help.pl.txt
-%%PORTDATA%%%%DATADIR%%/help.pt.txt
-%%PORTDATA%%%%DATADIR%%/help.pt_BR.txt
-%%PORTDATA%%%%DATADIR%%/help.ro.txt
-%%PORTDATA%%%%DATADIR%%/help.ru.txt
-%%PORTDATA%%%%DATADIR%%/help.sk.txt
-%%PORTDATA%%%%DATADIR%%/help.sv.txt
-%%PORTDATA%%%%DATADIR%%/help.tr.txt
-%%PORTDATA%%%%DATADIR%%/help.txt
-%%PORTDATA%%%%DATADIR%%/help.zh_CN.txt
-%%PORTDATA%%%%DATADIR%%/help.zh_TW.txt
-%%PORTDATA%%%%DATADIR%%/qualified.txt
+%%PORTDOCS%%%%DATADIR%%/help.be.txt
+%%PORTDOCS%%%%DATADIR%%/help.ca.txt
+%%PORTDOCS%%%%DATADIR%%/help.cs.txt
+%%PORTDOCS%%%%DATADIR%%/help.da.txt
+%%PORTDOCS%%%%DATADIR%%/help.de.txt
+%%PORTDOCS%%%%DATADIR%%/help.el.txt
+%%PORTDOCS%%%%DATADIR%%/help.eo.txt
+%%PORTDOCS%%%%DATADIR%%/help.es.txt
+%%PORTDOCS%%%%DATADIR%%/help.et.txt
+%%PORTDOCS%%%%DATADIR%%/help.fi.txt
+%%PORTDOCS%%%%DATADIR%%/help.fr.txt
+%%PORTDOCS%%%%DATADIR%%/help.gl.txt
+%%PORTDOCS%%%%DATADIR%%/help.hu.txt
+%%PORTDOCS%%%%DATADIR%%/help.id.txt
+%%PORTDOCS%%%%DATADIR%%/help.it.txt
+%%PORTDOCS%%%%DATADIR%%/help.ja.txt
+%%PORTDOCS%%%%DATADIR%%/help.nb.txt
+%%PORTDOCS%%%%DATADIR%%/help.pl.txt
+%%PORTDOCS%%%%DATADIR%%/help.pt.txt
+%%PORTDOCS%%%%DATADIR%%/help.pt_BR.txt
+%%PORTDOCS%%%%DATADIR%%/help.ro.txt
+%%PORTDOCS%%%%DATADIR%%/help.ru.txt
+%%PORTDOCS%%%%DATADIR%%/help.sk.txt
+%%PORTDOCS%%%%DATADIR%%/help.sv.txt
+%%PORTDOCS%%%%DATADIR%%/help.tr.txt
+%%PORTDOCS%%%%DATADIR%%/help.txt
+%%PORTDOCS%%%%DATADIR%%/help.zh_CN.txt
+%%PORTDOCS%%%%DATADIR%%/help.zh_TW.txt
+%%PORTDOCS%%%%DATADIR%%/qualified.txt
 %%NLS%%share/locale/be/LC_MESSAGES/gnupg2.mo
 %%NLS%%share/locale/ca/LC_MESSAGES/gnupg2.mo
 %%NLS%%share/locale/cs/LC_MESSAGES/gnupg2.mo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jun Kuriyama freebsd_committer 2012-12-27 14:05:09 UTC
State Changed
From-To: open->closed

Committed, thanks!